Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jan 2022 21:30:48 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had a bad online shopping experience. I placed an order 9520684128 since the 28th of December 2021. And ever since I have been getting daily messages that the order is out for delivery and it was never delivered. I made to official complaints reference numbers 3751647 and 3789372. Today I recieved a message that the order has been delivered and it was never delivered!
I had the worst customer service experience. I will never shop online again at centerpoint! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3794913